> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-pt/runtime-da-scene/basic-entities.md).

# Basic Entities

O World Explorer [reserva um intervalo](https://github.com/decentraland/docs/tree/main/contributor/runtime/modules/engine_api/README.md#identifying) de IDs de entidades para seu próprio uso. Desse intervalo, os identificadores `0`, `1` e `2` são pré-atribuídos a um conjunto de entidades básicas garantidas para existir.

São estas:

* `0`: `RootEntity`
* `1`: `PlayerEntity`
* `2`: `CameraEntity`

Essas entidades têm um conjunto conhecido de components anexados que são gerenciados pelo runtime, ou seja, seu estado é somente leitura para a scene. Obter o estado inicial desses components faz parte da [inicialização da scene](https://github.com/decentraland/docs/tree/main/contributor/runtime/execution/README.md#onStart).

{% hint style="info" %}
Components adicionais para essas entidades estão em desenvolvimento. O [mecanismo de sincronização CRDT](https://github.com/decentraland/docs/tree/main/contributor/runtime/modules/engine_api/README.md#synchronization) está sendo expandido para fornecer alguma da funcionalidade oferecida por diferentes modules.

Por exemplo, as scenes poderão detectar o estado da janela do Explorer para otimizar o uso de rede e CPU, ou acessar informações mais ricas sobre o player, o sistema de comms e a câmera do game.
{% endhint %}

**`RootEntity` (`0`)**

Contém informações gerais sobre o contexto da scene.

* [`Transform`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): informação posicional do ponto de origem da scene, em relação ao qual todos os outros transforms sem um parent explícito são relativos.

O `Transform` componente do `RootEntity` é inicializado com os seguintes valores:

```yml
scale: [1, 1, 1] # XYZ
position: [0, 0, 0] # XYZ
rotation: [0, 0, 0, 1] # XYZW
```

**`PlayerEntity` (`1`)**

Contém dados sobre o player, sua identidade, seu avatar e localização.

* [`Transform`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): a informação posicional do avatar do player.

**`CameraEntity` (`2`)**

Contém informações sobre a câmera do game. Todos os components são gerenciados pelo renderer.

* [`Transform`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): a informação posicional da própria câmera.
* [`PointerLocked`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#PointerLocked): se o ponteiro segue a direção da câmera ou se move independentemente.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-pt/runtime-da-scene/basic-entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
